List Databases
GET/projects/:projectId/providers/Aruba.Database/dbaas/:dbaasId/databases
List Databases
Request
Path Parameters
projectId stringrequired
Unique identifier of the CMP Project.
dbaasId stringrequired
DBaaS instance containing the databases searching for.
Query Parameters
filter string
sort string
projection string
offset int32
limit int32
api-version string
The requested API version
Default value:
1Responses
- 200
- 404
- 500
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
]
total int64
self stringnullable
prev stringnullable
next stringnullable
first stringnullable
last stringnullable
values
object[]
name stringnullable
creationDate date-timenullable
createdBy stringnullable
{
"total": 0,
"self": "string",
"prev": "string",
"next": "string",
"first": "string",
"last": "string",
"values": [
{
"name": "string",
"creationDate": "2024-07-29T15:51:28.071Z",
"createdBy": "string"
}
]
}
- Schema
- Example (from schema)
Schema
Array [
]
total int64
self stringnullable
prev stringnullable
next stringnullable
first stringnullable
last stringnullable
values
object[]
name stringnullable
creationDate date-timenullable
createdBy stringnullable
{
"total": 0,
"self": "string",
"prev": "string",
"next": "string",
"first": "string",
"last": "string",
"values": [
{
"name": "string",
"creationDate": "2024-07-29T15:51:28.071Z",
"createdBy": "string"
}
]
}
- Schema
- Example (from schema)
Schema
Array [
]
total int64
self stringnullable
prev stringnullable
next stringnullable
first stringnullable
last stringnullable
values
object[]
name stringnullable
creationDate date-timenullable
createdBy stringnullable
{
"total": 0,
"self": "string",
"prev": "string",
"next": "string",
"first": "string",
"last": "string",
"values": [
{
"name": "string",
"creationDate": "2024-07-29T15:51:28.071Z",
"createdBy": "string"
}
]
}
Not Found
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
Internal Server Error
Loading...